Bug 1542407 - [RFE] Update foreman-debug to collect logs in 6.2.z
Summary: [RFE] Update foreman-debug to collect logs in 6.2.z
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Foreman Maintain
Version: 6.2.13
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Anurag Patel
QA Contact: Nikhil Kathole
URL:
Whiteboard:
Depends On: 1538640
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-06 10:11 UTC by Nikhil Kathole
Modified: 2019-06-13 21:25 UTC (History)
10 users (show)

Fixed In Version: foreman-1.11.0.89-1
Doc Type: Enhancement
Doc Text:
Clone Of: 1538640
Environment:
Last Closed: 2018-05-21 20:16:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 21743 None None None 2018-02-06 10:11:05 UTC
Red Hat Product Errata RHBA-2018:1672 None None None 2018-05-21 20:17:45 UTC

Comment 1 Nikhil Kathole 2018-02-06 10:14:56 UTC
Foreman-debug does not collect /var/log/foreman-maintain/foreman-maintain.log in satellite 6.2.

# rpm -q satellite
satellite-6.2.14-4.0.el7sat.noarch

When customer will perform upgrade from 6.2.z to satellite 6.3 using foreman-maintain and if faced some issue, foreman-debug should collect foreman-maintain logs.

Comment 3 pm-sat@redhat.com 2018-02-06 11:17:46 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/21743 has been resolved.

Comment 5 Nikhil Kathole 2018-04-20 09:35:22 UTC
VERIFIED

# rpm -q satellite
satellite-6.2.15-1.0.el7sat.noarch

# rpm -qa | grep foreman-debug
foreman-debug-1.11.0.89-1.el7sat.noarch

# foreman-debug
Processing... (takes a while)Exporting tasks, this may take a few minutes.
Copying entire file: /tmp/task-export-1524211142.tar.gz


 HOSTNAME: dell-per630-fc-03.rhts.eng.bos.redhat.com
       OS: redhat
  RELEASE: Red Hat Enterprise Linux Server release 7.5 (Maipo)
  FOREMAN: 1.11.0.89
     RUBY: ruby 2.0.0p648 (2015-12-16) [x86_64-linux]
   PUPPET: 3.8.6
  DENIALS: 0


A debug file has been created: /tmp/foreman-debug-FOxwQ.tar.xz (1149060 bytes)

To upload a tarball to our secure site, please use the -u option.

# tar -tvf /tmp/foreman-debug-FOxwQ.tar.xz | grep foreman-maintain
drwxr-xr-x root/root         0 2018-04-20 03:56 foreman-debug-FOxwQ/var/log/foreman-maintain/
-rw-r--r-- root/root      2766 2018-04-20 03:56 foreman-debug-FOxwQ/var/log/foreman-maintain/foreman-maintain.log

Comment 9 errata-xmlrpc 2018-05-21 20:16:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:1672


Note You need to log in before you can comment on or make changes to this bug.